### Xilinx Processor IP Library

Software Drivers

Main Page | Data Structures | File List | Data Fields | Globals

# xuartlite_stats.c File Reference

## Detailed Description

This file contains the statistics functions for the UART Lite component (XUartLite).

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- -----------------------------------------------
     1.00a ecm  08/31/01 First release
     1.00b jhl  02/21/02 Repartitioned the driver for smaller files

## Functions
void | XUartLite_GetStats (XUartLite *InstancePtr, XUartLite_Stats *StatsPtr)
void | XUartLite_ClearStats (XUartLite *InstancePtr)

## Function Documentation

void XUartLite_ClearStats | ( | XUartLite * | InstancePtr | ) |

  | This function zeros the statistics for the given instance. Parameters:
  | InstancePtr | is a pointer to the XUartLite instance.
Returns: None. Note: None.

void XUartLite_GetStats | ( | XUartLite * | InstancePtr,
|  | XUartLite_Stats * | StatsPtr
| ) |

  | Returns a snapshot of the current statistics in the structure specified. Parameters:
  | InstancePtr | is a pointer to the XUartLite instance.
  | StatsPtr | is a pointer to a XUartLiteStats structure to where the statistics are to be copied.
Returns: None. Note: None.

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.